Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 297799 - dev-util/android-sdk-update-manager-4 version bumped
Summary: dev-util/android-sdk-update-manager-4 version bumped
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement
Assignee: Richard Freeman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-21 16:39 UTC by MATSUU Takuto (RETIRED)
Modified: 2010-01-23 20:21 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
android-sdk-update-manager-4.ebuild (android-sdk-update-manager-4.ebuild,2.35 KB, text/plain)
2009-12-21 16:39 UTC, MATSUU Takuto (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MATSUU Takuto (RETIRED) gentoo-dev 2009-12-21 16:39:06 UTC
android-sdk_r04-linux_86.tgz was released. I created a patch for clean up.


--- android-sdk-update-manager-3-r1.ebuild	2009-11-19 11:41:03.000000000 +0900
+++ android-sdk-update-manager-4.ebuild	2009-12-22 01:32:24.000000000 +0900
@@ -4,67 +4,69 @@
 
 EAPI="2"
 
-inherit versionator eutils
+inherit eutils
 
-MY_PN="android-sdk"
-MY_P="${MY_PN}_r${PV}-linux"
+MY_P="android-sdk_r0${PV}-linux_86"
 
 DESCRIPTION="Open Handset Alliance's Android SDK/"
 HOMEPAGE="http://developer.android.com"
 SRC_URI="http://dl.google.com/android/${MY_P}.tgz"
 IUSE=""
-RESTRICT="mirror"
+RESTRICT="mirror strip"
 
-LICENSE="android"
+LICENSE="Apache-2.0 as-is BSD BZIP2 CPL-1.0 EPL-1.0 GPL-2 LGPL-2.1 MIT SPL ZLIB"
 SLOT="0"
-KEYWORDS="~x86 ~amd64"
+KEYWORDS="~amd64 ~x86"
 
-DEPEND="app-arch/tar
-		app-arch/gzip"
 RDEPEND=">=virtual/jdk-1.5
 	>=dev-java/ant-core-1.6.5
 	amd64? ( app-emulation/emul-linux-x86-gtklibs )
 	x86? ( x11-libs/gtk+:2 )"
 
+ANDROID_SDK_DIR="/opt/${PN}"
 QA_DT_HASH_x86="
-	opt/${P}/tools/emulator
-	opt/${P}/tools/adb
-	opt/${P}/tools/mksdcard
-	opt/${P}/tools/sqlite3
-	opt/${P}/tools/hprof-conv
-	opt/${P}/tools/zipalign
-	opt/${P}/tools/dmtracedump
+	${ANDROID_SDK_DIR/\/}/tools/emulator
+	${ANDROID_SDK_DIR/\/}/tools/adb
+	${ANDROID_SDK_DIR/\/}/tools/mksdcard
+	${ANDROID_SDK_DIR/\/}/tools/sqlite3
+	${ANDROID_SDK_DIR/\/}/tools/hprof-conv
+	${ANDROID_SDK_DIR/\/}/tools/zipalign
+	${ANDROID_SDK_DIR/\/}/tools/dmtracedump
 "
 QA_DT_HASH_amd64="${QA_DT_HASH_x86}"
 
+S="${WORKDIR}/android-sdk-linux_86"
+
 pkg_setup() {
-	enewgroup android
+	enewgroup android || die
 }
 
 src_install(){
-	local destdir="/opt/${P/_p*/}"
-	dodir "${destdir}"
-
-	cd "android-sdk-linux"
-
 	dodoc tools/NOTICE.txt "SDK Readme.txt" || die
 	rm -f tools/NOTICE.txt "SDK Readme.txt"
-	cp -pPR tools "${D}/${destdir}/" || die "failed to copy"
-	mkdir -p "${D}/${destdir}/"{platforms,add-ons,docs,temp} || die "failed to mkdir"
+
+	insinto "${ANDROID_SDK_DIR}/tools"
+	doins -r tools/lib || die "failed to doins tools/lib"
+	rm -rf tools/lib || die
+
+	exeinto "${ANDROID_SDK_DIR}/tools"
+	doexe tools/* || die "failed to doexe tools/"
+
 	# Maybe this is needed for the tools directory too.
-	chgrp android "${D}/${destdir}/"{platforms,add-ons,docs,temp}
-	chmod 775 "${D}/${destdir}/"{platforms,add-ons,docs,temp}
+	#keepdir "${ANDROID_SDK_DIR}"/{add-ons,docs,platforms,temp} || die "failed to keepdir"
+	dodir "${ANDROID_SDK_DIR}"/{add-ons,docs,platforms,temp} || die "failed to dodir"
+
+	fowners root:android "${ANDROID_SDK_DIR}"/{,add-ons,docs,platforms,temp} || die
+	fperms 0775 "${ANDROID_SDK_DIR}"/{,add-ons,docs,platforms,temp} || die
 
-	echo -n "PATH=\"${destdir}/tools" > "${T}/80android"
-	echo ":${destdir}/platforms/android-${PV/_p*/}/tools\"" >> "${T}/80android"
-	doenvd "${T}/80android"
+	echo "PATH=\"${ANDROID_SDK_DIR}/tools\"" > "${T}/80${PN}" || die
+	doenvd "${T}/80${PN}" || die
 }
 
 pkg_postinst() {
-	ewarn "The Android SDK now uses its own manager for the development	environment."
-	ewarn "You must be in the android group to manage the development environment."
-	ewarn "Just run 'gpasswd -a <USER> android', then have <USER> re-login."
-	ewarn "See http://dev.android.com/sdk/adding-components.html for more
-	information."
+	elog "The Android SDK now uses its own manager for the development	environment."
+	elog "You must be in the android group to manage the development environment."
+	elog "Just run 'gpasswd -a <USER> android', then have <USER> re-login."
+	elog "See http://dev.android.com/sdk/adding-components.html for more information."
 	elog "If you have problems downloading the SDK, see http://code.google.com/p/android/issues/detail?id=4406"
 }
Comment 1 MATSUU Takuto (RETIRED) gentoo-dev 2009-12-21 16:39:49 UTC
Created attachment 213685 [details]
android-sdk-update-manager-4.ebuild
Comment 2 Frédéric Barthelery 2010-01-12 20:13:16 UTC
Good ebuild for me.
Comment 3 MATSUU Takuto (RETIRED) gentoo-dev 2010-01-23 08:01:54 UTC
ping
Comment 4 Richard Freeman gentoo-dev 2010-01-23 16:02:03 UTC
Sorry about that - with all the proposed changes I wanted to take a little time to review/test.  Looks pretty good - I'll commit something pretty close to the proposed ebuild soon.

I'm a bit on the fence with the RESTRICT=strip - in theory that should be the user's choice as I don't see stripping causing any harm (and there isn't an easy way for the user to unRESTRICT it).  It does seem like a reasonable default though.
Comment 5 Richard Freeman gentoo-dev 2010-01-23 20:21:52 UTC
Ok, -4 is in the tree now.  I did leave out the RESTRICT=strip though.  Users can of course set their FEATURES to avoid stripping the binaries.